//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
#include <tchar.h>
//---------------------------------------------------------------------------
USEFORM("Input.cpp", InputForm);
USEFORM("Option.cpp", OptionForm);
USEFORM("TestMain.cpp", MainForm);
USEFORM("Unite.cpp", UniteForm);
USEFORM("Write.cpp", WriteForm);
//---------------------------------------------------------------------------
int WINAPI _tWinMain(HINSTANCE, HINSTANCE, LPTSTR, int)
{
	try
	{
		Application->Initialize();
		Application->MainFormOnTaskBar = true;
		Application->CreateForm(__classid(TMainForm), &MainForm);
		Application->CreateForm(__classid(TInputForm), &InputForm);
		Application->CreateForm(__classid(TOptionForm), &OptionForm);
		Application->CreateForm(__classid(TUniteForm), &UniteForm);
		Application->CreateForm(__classid(TWriteForm), &WriteForm);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	catch (...)
	{
		try
		{
			throw Exception("");
		}
		catch (Exception &exception)
		{
			Application->ShowException(&exception);
		}
	}
	return 0;
}
//---------------------------------------------------------------------------
